OpenVDB 11.0.0

Loading...
Searching...
No Matches
InternalNode< _ChildNodeType, Log2Dim >::TopologyDifference< OtherInternalNode > Struct Template Reference

`#include <openvdb/tree/InternalNode.h>`

## Classes
struct | A
struct | B

## Public Types
using | W = typename NodeMaskType::Word

## Public Member Functions
| TopologyDifference (const OtherInternalNode *source, InternalNode *target, const ValueType &background)
void | operator() (const tbb::blocked_range< Index > &r) const

## Public Attributes
const OtherInternalNode * | s
InternalNode * | t
const ValueType & | b

## Member Typedef Documentation

## ◆ W

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

using W = typename NodeMaskType::Word

## Constructor & Destructor Documentation

## ◆ TopologyDifference()

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

TopologyDifference | ( | const OtherInternalNode * | source,
|  | InternalNode * | target,
|  | const ValueType & | background )
| inline

## Member Function Documentation

## ◆ operator()()

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

void operator() | ( | const tbb::blocked_range< Index > & | r | ) | const
| inline

## Member Data Documentation

## ◆ b

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

const ValueType& b

## ◆ s

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

const OtherInternalNode* s

## ◆ t

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

InternalNode* t